---

- name: Create data directory
  ansible.builtin.file:
    dest: /data/{{ project }}
    state: directory
    mode: "0755"
    owner: root
    group: root

- name: Create database user
  ansible.builtin.user:
    name: database
    comment: Account used by the database docker container
    uid: 999
    group: 999
    create_home: false
    password: '!'
    shell: /usr/sbin/nologin
    state: present
  failed_when: false

- name: Create database init directory
  ansible.builtin.file:
    dest: '/data/{{ project }}/database/init'
    state: directory
    mode: "0755"
    owner: root
    group: root

- name: Create database storage directory
  ansible.builtin.file:
    dest: '/data/{{ project }}/database/storage'
    state: directory
    mode: "0755"
    owner: 999
    group: 999

- name: Create database dump backup directory
  ansible.builtin.file:
    dest: /data/backup
    state: directory
    mode: "0755"
    owner: root
    group: root

- name: Create php-fpm system group
  ansible.builtin.group:
    name: php-fpm
    gid: 82
    system: true
    state: present

- name: Create php-fpm system user
  ansible.builtin.user:
    name: php-fpm
    comment: Account used by the php-fpm docker container
    uid: 82
    group: php-fpm
    system: true
    create_home: false
    password: '!'
    shell: /usr/sbin/nologin
    state: present

- name: Add user ubuntu to group php-fpm
  ansible.builtin.user:
    name: ubuntu
    group: php-fpm
    state: present

- name: Create files directory
  ansible.builtin.file:
    dest: /data/{{ project }}/files
    state: directory
    mode: "0755"
    owner: php-fpm
    group: php-fpm

- name: Create project dir
  ansible.builtin.file:
    dest: /opt/project/{{ project }}
    state: directory
    mode: "0755"
    owner: root
    group: root

- name: Create project letsencrypt dir
  ansible.builtin.file:
    dest: /opt/project/{{ project }}/letsencrypt
    state: directory
    mode: "0755"
    owner: root
    group: root
